#include "Array.h"
#include "BumpAlloc.h"
#include "GlobalArena.h"
#include "String.h"
#include <stdio.h>

int
main() {
    g_arena = B_create(KiB(4));

    int *nums = AG_new(sizeof(int), 8);
    for (int i = 10; i < 20; ++i) {
        A_push(nums, &i);
    }

    printf("%lu/%lu |", A_count(nums), A_length(nums));
    for (int i = 0; i < A_count(nums); ++i)
        printf(" %d", nums[i]);
    printf("\n");

    String s = SG_concat("Hello", " ", "World", "!", NULL);
    printf("%s\n", s);

    String s1 = SG_printf("%s #%d\n", s, 5);
    printf("%s\n", s1);

    B_destroy(g_arena);
    return 0;
}
